Package: org.codehaus.groovy.jsr223

## [Java] Class GroovyScriptEngineImpl

- org.codehaus.groovy.jsr223.GroovyScriptEngineImpl

- All Implemented Interfaces and Traits:
    Compilable, Invocable

      public class GroovyScriptEngineImpl
      extends AbstractScriptEngine

  JSR-223 Engine implementation. Adapted from original by Mike Grogan and A. Sundararajan

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractScriptEngine` | `ARGV, FILENAME, ENGINE, ENGINE_VERSION, NAME, LANGUAGE, LANGUAGE_VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyScriptEngineImpl ()`
    `GroovyScriptEngineImpl (GroovyClassLoader classLoader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `CompiledScript` | `compile(String scriptSource)`
    `` | `CompiledScript` | `compile(Reader reader)`
    `` | `Bindings` | `createBindings()`
    `` | `Object` | `eval(Reader reader, ScriptContext ctx)`
    `` | `Object` | `eval(String script, ScriptContext ctx)`
    `` | `GroovyClassLoader` | `getClassLoader()`
    `` | `ScriptEngineFactory` | `getFactory()`
    `` | `T` | `getInterface(Class<T> clazz)`
    `` | `T` | `getInterface(Object thiz, Class<T> clazz)`
    `` | `Object` | `getVariable(String name)`
    `` | `Object` | `invokeFunction(String name, Object args)`
    `` | `Object` | `invokeMethod(Object thiz, String name, Object args)`
    `` | `Object` | `invokeMethod(Object object, String name, Object args)`
    `` | `Object` | `invokeMethod(Object object, String name, Object[] args)`
    `` | `Object` | `invokeStaticMethod(Object object, String name, Object[] args)`
    `` | `GroovyClassLoader` | `run()`
    `` | `void` | `setClassLoader(GroovyClassLoader classLoader)`
    `` | `void` | `setVariable(String name, Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractScriptEngine` | `setContext, setBindings, get, put, getContext, getBindings, eval, eval, eval, eval, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, createBindings, getFactory, eval, eval`

- - ### Constructor Detail

    - #### public GroovyScriptEngineImpl()

    - #### public GroovyScriptEngineImpl(GroovyClassLoader classLoader)

  - ### Method Detail

    - #### public CompiledScript compile(String scriptSource)

    - #### public CompiledScript compile(Reader reader)

    - #### public Bindings createBindings()

    - #### public Object eval(Reader reader, ScriptContext ctx)

    - #### public Object eval(String script, ScriptContext ctx)

    - #### public GroovyClassLoader getClassLoader()

    - #### public ScriptEngineFactory getFactory()

    - #### public T getInterface(Class<T> clazz)

    - #### public T getInterface(Object thiz, Class<T> clazz)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Object getVariable(String name)

    - #### public Object invokeFunction(String name, Object args)

    - #### public Object invokeMethod(Object thiz, String name, Object args)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Object invokeMethod(Object object, String name, Object args)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Object invokeMethod(Object object, String name, Object[] args)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Object invokeStaticMethod(Object object, String name, Object[] args)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public GroovyClassLoader run()

    - #### public void setClassLoader(GroovyClassLoader classLoader)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void setVariable(String name, Object value)